无法获得adb版本…没有这样的文件或目录

我在ubuntu 12.10上运行Eclipse 4.2.1,并且正在为Eclipse安装Android插件。 到目前为止,一切都进展顺利,我已经安装了ADT插件和所有,但现在我在这个阶段(在Eclipse重新启动后),我必须指向我已经安装了Android SDK的目录到Eclipse …

这里安装的sdk:

的/ opt / Android的SDK-Linux的

但是我得到以下错误消息popup:

在这里输入图像描述

任何想法,为什么这会发生任何人? 提前致谢!

我找到了答案,问题是我正在运行一个64位系统(应该提到这一点)。 您可以在这里找到解决方案: 在64位Linux机器上的Android SDK

你看/ opt / android-sdk-linux / platform-tools并验证adb在那里? 如果您刚刚下载了SDK,则最新发行版可能不会提供所有工具,因此您需要运行SDK管理器来下载所需的内容。 从/ opt / android-sdk-linux / tools你可以执行“./android sdk”这将启动Android SDK管理器,你可以下载工具和平台工具(它应该在工具下的列表顶部的项目夹)

你是否已经运行android sdk并安装了Android平台工具? 如果是这样,我不知道发生了什么事情。 如果你还没有这样做,那就是你的问题。 ( android sdk是Android SDK管理器。)

如果你有64位的机器,你应该尝试通过@robbin chander来回答:

在Linux上,您需要安装IA32库因为Linux 64位ADT软件包附带了adt-bundle-linux / sdk / platform-tools / adb下的32位adb …这也是其他发行版下的一个问题,例如Fedora 17

并尝试这一点:

 sudo apt-get install libc6-i386 lib32stdc++6 lib32gcc1 lib32ncurses5